<?php
/**
 * Plugin Name: WP Loader
 * Description: Učitava AK dodatke za WordPress.
 * Version: 0.1.4
 *
 * Pošto cijeli sustav ima svoje mehanizme učitavanja komponenti, kada se nalazimo u našem
 * okruženju, sve je već učitano. No, kada WordPress sam sebe pokreće, jedina točka gdje se
 * možemo ubaciti je wp-config.php. Tamo Container spremamo u globalnu varijablu.
 */

$container = $GLOBALS['container'];

if ($container instanceof \Psr\Container\ContainerInterface) {
    /** @var \Ak\Wp\Plugin\PluginLoader $pluginLoader */
    $pluginLoader = $container->get('wp.plugin_loader');
    $pluginLoader->register();
}